import { Observable } from 'rxjs';
import { CommonsDrawerService } from 'ngx-webappcommons-mobile';
import { ICommonsKeyboard } from '../interfaces/icommons-keyboard';
export interface ICommonsEditorSettings {
    keyboard: ICommonsKeyboard;
    allowEmpty?: boolean;
    maxLength?: number;
    minLength?: number;
}
export declare type TShowEditor = {
    value: string;
    settings: ICommonsEditorSettings;
    ok: (_: string) => void;
    cancel: () => void;
};
export declare class CommonsEditorService {
    private drawerService;
    private showEmitter;
    private hideEmitter;
    constructor(drawerService: CommonsDrawerService);
    edit(value: string, settings: ICommonsEditorSettings, ok: (_: string) => void, cancel?: () => void): void;
    hide(): void;
    showObservable(): Observable<TShowEditor>;
    hideObservable(): Observable<void>;
}
